package org.deephacks.tools4j.config.internal.core;

import org.deephacks.tools4j.config.model.Schema;
import org.deephacks.tools4j.config.spi.SchemaManager;

import java.util.HashMap;
import java.util.Map;

/**
 * In memory SchemaManager.
 */
public class DefaultSchemaManager extends SchemaManager {
    private static final HashMap<String, Schema> schemas = new HashMap<>();

    public DefaultSchemaManager() {
    }

    @Override
    public synchronized  Map<String, Schema> getSchemas() {
        return schemas;
    }

    @Override
    public Schema getSchema(String schemaName) {
        return schemas.get(schemaName);
    }

    @Override
    public void registerSchema(Schema... schema) {
        for (Schema s : schema) {
            schemas.put(s.getName(), s);
        }
    }

    @Override
    public void removeSchema(String schemaName) {
        schemas.remove(schemaName);
    }
}
